Loading...
Searching...
No Matches
document-fwd.hpp File Reference

## Description

Declares bsoncxx::v_noabi::builder::stream::document.

Go to the source code of this file.

## Classes

class | bsoncxx::builder::stream::document
| A streaming interface for constructing a BSON document. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::builder
| Declares entities used to build BSON documents.
namespace | bsoncxx::builder::stream
| Declares entities used with "streaming" BSON builder syntax.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::builder
| Declares entities used to build BSON documents.
namespace | bsoncxx::v_noabi::builder::stream
| Declares entities used with "streaming" BSON builder syntax.